Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
Steinberg::HexBinary Namespace Reference

## Functions
bool | decode (const void *input, int32 inputSize, Buffer &result)
| convert the HexBinary input buffer to binary.
bool | encode (const void *input, int32 inputSize, Buffer &result)
| convert the binary input buffer to HexBinary.

## Function Documentation

bool Steinberg::HexBinary::decode | ( | const void * | input,
|  | int32 | inputSize,
|  | Buffer & | result
| ) |  |
| inline

convert the HexBinary input buffer to binary.

Note that it is appended to the result buffer.

bool Steinberg::HexBinary::encode | ( | const void * | input,
|  | int32 | inputSize,
|  | Buffer & | result
| ) |  |
| inline

convert the binary input buffer to HexBinary.

Note that it is appended to the result buffer.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.